namespace efl { namespace input { 
inline ::efl::eolian::return_traits<bool>::type State::modifier_enabled_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Bool __return_value =  ::efl_input_modifier_enabled_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type State::lock_enabled_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Bool __return_value =  ::efl_input_lock_enabled_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace efl { namespace input { 
inline ::efl::eolian::return_traits<bool>::type State::modifier_enabled_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Bool __return_value =  ::efl_input_modifier_enabled_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type State::lock_enabled_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Bool __return_value =  ::efl_input_lock_enabled_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline efl::input::State::operator ::efl::input::State() const { return *static_cast< ::efl::input::State const*>(static_cast<void const*>(this)); }
inline efl::input::State::operator ::efl::input::State&() { return *static_cast< ::efl::input::State*>(static_cast<void*>(this)); }
inline efl::input::State::operator ::efl::input::State const&() const { return *static_cast< ::efl::input::State const*>(static_cast<void const*>(this)); }
} } }

